Index: src/sas/perspectives/fitting/fitpanel.py
===================================================================
--- src/sas/perspectives/fitting/fitpanel.py	(revision 386ffe12ba023b3eab0fbbb16a6f958ed7c099a3)
+++ src/sas/perspectives/fitting/fitpanel.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
@@ -4,5 +4,5 @@
 :note: For Fit to be performed the user should check at least one parameter
     on fit Panel window.
-   
+
 """
 import wx
@@ -22,8 +22,8 @@
     """
     FitPanel class contains fields allowing to fit  models and  data
-    
+
     :note: For Fit to be performed the user should check at least one parameter
         on fit Panel window.
-       
+
     """
     ## Internal name for the AUI manager
@@ -32,11 +32,11 @@
     window_caption = "Fit Panel "
     CENTER_PANE = True
-    
+
     def __init__(self, parent, manager=None, *args, **kwargs):
         """
         """
         nb.__init__(self, parent, -1,
-                    style=wx.aui.AUI_NB_WINDOWLIST_BUTTON|
-                    wx.aui.AUI_NB_DEFAULT_STYLE|
+                    style=wx.aui.AUI_NB_WINDOWLIST_BUTTON |
+                    wx.aui.AUI_NB_DEFAULT_STYLE |
                     wx.CLIP_CHILDREN)
         PanelBase.__init__(self, parent)
@@ -51,5 +51,5 @@
         self.model_dictionary = self.menu_mng.get_model_dictionary()
         self.pageClosedEvent = wx.aui.EVT_AUINOTEBOOK_PAGE_CLOSE
-        
+
         self.Bind(self.pageClosedEvent, self.on_close_page)
         ## save the title of the last page tab added
@@ -71,5 +71,5 @@
         self.Bind(wx.aui.EVT_AUINOTEBOOK_PAGE_CHANGED, self.on_page_changing)
         self.Bind(wx.aui.EVT_AUINOTEBOOK_PAGE_CLOSED, self.on_closed)
-        
+
     def on_closed(self, event):
         """
@@ -78,5 +78,5 @@
             self.add_empty_page()
             self.enable_close_button()
-        
+
     def save_project(self, doc=None):
         """
@@ -109,5 +109,5 @@
                                                             info="warning"))
         return doc
-    
+
     def update_model_list(self):
         """
@@ -117,5 +117,5 @@
             self.model_list_box = temp
         return temp
-    
+
     def reset_pmodel_list(self):
         """
@@ -125,5 +125,5 @@
             self.model_list_box = temp
         return temp
-    
+
     def get_page_by_id(self, uid):
         """
@@ -134,5 +134,5 @@
         else:
             return self.opened_pages[uid]
-        
+
     def on_page_changing(self, event):
         """
@@ -141,5 +141,5 @@
         """
         wx.CallAfter(self.helper_on_page_change)
-        
+
     def helper_on_page_change(self):
         """
@@ -148,8 +148,8 @@
         if pos != -1:
             selected_page = self.GetPage(pos)
-            wx.PostEvent(self._manager.parent, 
+            wx.PostEvent(self._manager.parent,
                          PanelOnFocusEvent(panel=selected_page))
         self.enable_close_button()
-       
+
     def on_set_focus(self, event):
         """
@@ -158,7 +158,7 @@
         if pos != -1:
             selected_page = self.GetPage(pos)
-            wx.PostEvent(self._manager.parent, 
+            wx.PostEvent(self._manager.parent,
                          PanelOnFocusEvent(panel=selected_page))
-        
+
     def get_data(self):
         """
@@ -169,5 +169,5 @@
             selected_page = self.GetPage(pos)
             return selected_page.get_data()
-    
+
     def set_model_state(self, state):
         """
@@ -178,5 +178,5 @@
             selected_page = self.GetPage(pos)
             selected_page.set_model_state(state)
-            
+
     def get_state(self):
         """
@@ -187,10 +187,10 @@
             selected_page = self.GetPage(pos)
             return selected_page.get_state()
-    
+
     def close_all(self):
         """
         remove all pages, used when a svs file is opened
         """
-        
+
         #get number of pages
         nop = self.GetPageCount()
@@ -204,10 +204,10 @@
             self.DeletePage(0)
             nop = nop - 1
-            
+
         ## save the title of the last page tab added
         self.fit_page_name = {}
         ## list of existing fit page
         self.opened_pages = {}
-         
+
     def set_state(self, state):
         """
@@ -238,14 +238,14 @@
                     panel.reset_page(state=state)
                     panel.save_current_state()
-                    
+
     def clear_panel(self):
         """
         Clear and close all panels, used by guimanager
         """
-       
+
         #close all panels only when svs file opened
         self.close_all()
         self._manager.mypanels = []
-        
+
     def on_close_page(self, event=None):
         """
@@ -260,5 +260,5 @@
                 return
         self._close_helper(selected_page=selected_page)
-        
+
     def close_page_with_data(self, deleted_data):
         """
@@ -271,5 +271,5 @@
             if hasattr(selected_page, "get_data"):
                 data = selected_page.get_data()
-                
+
                 if data is None:
                     #the fitpanel exists and only the initial fit page is open
@@ -280,11 +280,11 @@
                     self.DeletePage(index)
                     break
-        
+
     def set_manager(self, manager):
         """
         set panel manager
-        
+
         :param manager: instance of plugin fitting
-        
+
         """
         self._manager = manager
@@ -297,10 +297,10 @@
         """
         copy a dictionary of model into its own dictionary
-        
+
         :param m_dict: dictionnary made of model name as key and model class
         as value
         """
         self.model_list_box = dict
-        
+
     def set_model_dict(self, m_dict):
         """
@@ -313,8 +313,8 @@
         """
         :return: the current page selected
-        
+
         """
         return self.GetPage(self.GetSelection())
-    
+
     def add_sim_page(self, caption="Const & Simul Fit"):
         """
@@ -325,5 +325,5 @@
         if caption == "Const & Simul Fit":
             self.sim_page = SimultaneousFitPage(self, page_finder=page_finder,
-                                                 id=-1, batch_on=False)
+                                                 id= -1, batch_on=False)
             self.sim_page.window_caption = caption
             self.sim_page.window_name = caption
@@ -343,5 +343,5 @@
             self.enable_close_button()
             return self.batch_page
- 
+
     def add_empty_page(self):
         """
@@ -385,5 +385,5 @@
         panel.on_set_focus(None)
         return panel
-    
+
     def enable_close_button(self):
         """
@@ -403,5 +403,5 @@
                 style |= wx.aui.AUI_NB_CLOSE_ON_ACTIVE_TAB
                 self.SetWindowStyle(style)
-            
+
     def delete_data(self, data):
         """
@@ -422,10 +422,10 @@
             if self.GetPageCount() == 0:
                 self._manager.on_add_new_page(event=None)
-        
+
     def set_data_on_batch_mode(self, data_list):
         """
         Add all data to a single tab when the application is on Batch mode.
-        However all data in the set of data must be either 1D or 2D type. 
-        This method presents option to select the data type before creating a 
+        However all data in the set of data must be either 1D or 2D type.
+        This method presents option to select the data type before creating a
         tab.
         """
@@ -445,5 +445,5 @@
             #check if there is an empty page to fill up
             if not check_data_validity(p.get_data()) and p.batch_on:
-                
+
                 #make sure data get placed in 1D empty tab if data is 1D
                 #else data get place on 2D tab empty tab
@@ -479,5 +479,5 @@
             elif not data_1d_list and data_2d_list:
                 page.fill_data_combobox(data_2d_list)
-                
+
         pos = self.GetPageIndex(page)
         page.batch_on = self.batch_on
@@ -486,14 +486,14 @@
         self.opened_pages[page.uid] = page
         return page
-    
+
     def set_data(self, data_list):
         """
         Add a fitting page on the notebook contained by fitpanel
-        
+
         :param data: data to fit
-        
+
         :return panel : page just added for further used.
         is used by fitting module
-        
+
         """
         if not data_list:
@@ -509,5 +509,5 @@
                 data_list = [data]
                 data = data_list[0]
-                
+
             if data is None:
                 return None
@@ -535,5 +535,5 @@
         self.SetSelection(pos)
         return page
-       
+
     def _onGetstate(self, event):
         """
@@ -543,5 +543,5 @@
         if page.uid in self.fit_page_name:
             self.fit_page_name[page.uid].appendItem(page.createMemento())
-            
+
     def _onUndo(self, event):
         """
@@ -556,5 +556,5 @@
                 page._redo.Enable(True)
             page.reset_page(state)
-        
+
     def _onRedo(self, event):
         """
@@ -571,5 +571,5 @@
                 state = self.fit_page_name[page.uid].getNextItem()
             page.reset_page(state)
-                 
+
     def _close_helper(self, selected_page):
         """
@@ -606,10 +606,10 @@
             for uid, list in self.opened_pages.iteritems():
                 #Don't return any panel is the exact same page is created
-                
+
                 if flag and selected_page.uid == uid:
                     self._manager.remove_plot(uid, theory=False)
                     break
             del page_finder[selected_page]
-  
+
         #Delete the name of the page into the list of open page
         for uid, list in self.opened_pages.iteritems():
